{% extends "base.html.twig" %}
{% block topbar %}
    {{parent()}}
    {% include 'topbar/choix_topbar2.html.twig' %}
    {% if context.sinistre.statut == 4 %}
        {% include 'courrier/amiable/topbar_courrier_amiable.html.twig' %}
    {% elseif context.sinistre.statut == 3 %}
        {% include 'courrier/judiciaire/topbar_courrier_jud.html.twig' %}
    {% elseif context.sinistre.statut == 2 %}
        {% include 'courrier/av1/topbar_courrier_av1.html.twig' %}
    {% elseif context.sinistre.statut == 1 %}
        {% include 'courrier/do/topbar_courrier_do.html.twig' %}
    {% endif %}
{% endblock %}
{% block body %}
    <div class="container-fluid">
        <h3  style="margin-bottom: 10px">Bordereau d'envoi</h3>
        <div class=" col-md-offset-2 col-md-8 col-sm-12 col-xs-12">
            <fieldset>
                <legend>En-tête</legend>

                <form id='form_cr' class="form-vertical" method="POST">
                    <div class="col-md-12 separator-20">
                        <div class="col-md-2">Destinataire :</div>
                        <div class="col-md-2" style="line-height: 15px"><input required type='radio' name='genre' value='Monsieur' {% if courrier.genre == "Monsieur" %}checked{% endif %}> M. <input required type="radio" name='genre' value='Madame' {% if courrier.genre == "Madame" %}checked{% endif %}> Mme.</div>
                        <div class="col-md-8"><input required name="contact" class="col-md-12" value="{{courrier.contact }}"></div>
                    </div>
                    <div class="col-md-12">
                        <div class="col-md-2">Objet :</div>
                        <div class="col-md-10"><input required name='objet' class="col-md-12" value="{{courrier.objet }}"></div>
                    </div>
            </fieldset>            
            <div class="separator-20"></div>
            <fieldset>
                <legend>Courrier</legend>
                <div class="col-md-12 separator-20">
                    Documents joints :

                    <div class="col-md-12" id='docs'>
                        {% if courrier.documents %}
                            {% set docs = courrier.documents|split('\n') %}
                            {% for doc in docs %}
                                <div class="col-md-12" style="padding: 0; margin-top: 5px"><input class="doc col-md-6" value="{{ doc }}"></div>
                                {% endfor %}
                            {% endif %}
                        <div class="col-md-12" style="padding: 0 {% if courrier.documents %}; margin-top: 5px{% endif %}"><input class='doc col-md-6'></div>
                    </div>

                    <div class="col-md-12">
                        <div class="col-md-6" style="padding: 0">
                            <button style="margin-top: 5px;"  type='button' class="btn btn-sm btn-gaia pull-right" id='add_doc'>Ajouter</button>
                        </div></div>
                </div>
                <div class="col-md-12 separator-20">
                    Texte complémentaire :
                    <textarea rows="10" name='texte_complementaire' class="col-md-12 col-sm-12 col-xs-12">{{courrier.texte_complementaire }}</textarea>
                </div>
            </fieldset>
            <div class="col-md-12" style="margin-top: 20px; padding: 0">
                <button class="btn btn-gaia pull-right">Ajouter aux éditions</button>
            </div>
        </div></div>
    <input id="list_docs" type="hidden" name="documents">
</form>
<script>
    $(document).ready(function () {
        $('#add_doc').click(function () {
            $('#docs').append('<div class="col-md-12" style="padding: 0; margin-top: 5px"><input class="doc col-md-6"></div>');
        });

        $('#form_cr').submit(function (e) {
            var docs_input = $('.doc').toArray();
            docs_input.forEach(function (doc) {
                console.log(doc);
                var current = $('#list_docs').val();
                if (current == "")
                    $('#list_docs').val($(doc).val());
                else
                    $('#list_docs').val(current + "\n" + $(doc).val());
            });
        });
    });
</script>
{% endblock %}